/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

:root {
	--radius-32: 32px;
	--space-default: 6rem;
	--transition-default: all 0.3s ease;
}

.pswp__dynamic-caption--mobile {
    bottom: unset !important;
    left: 0 !important;
    right: 0 !important;
    top: 0 !important;
    width: 100% !important;
}

.gw_header-menu li > a {
	position: relative;
}
.gw_header-menu li > a:hover:after,
.gw_header-menu li.current-menu-item > a:after {
	content: '';
	position: absolute;
	left: 0;
	bottom: -6px;
	width: 100%;
	height: 3px;
	background: url('/wp-content/uploads/2025/05/underline.svg') no-repeat center bottom;
	background-size: contain;
	pointer-events: none;
}

/* Skryj všechny obrázky kromě prvních 3 */
.gw_gallery .bricks-layout-item:nth-child(n+4) {
  	display: none !important;
}
.gw_gallery .image {
	border: 1px solid #EFE8DA;
	border-radius: 10px;
	box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}
.pswp__dynamic-caption {
  max-width: 90%;
  margin: 0 auto;
  font-size: 14px;
  line-height: 1.5;
  text-align: center;
  padding: 10px 20px;
  white-space: normal;
  word-break: break-word;
}

.pswp__dynamic-caption {
    background-color: rgb(0 0 0 / 70%);
    color: #fff;
    left: 0;
    position: absolute;
    top: 0 !important;
    transition: opacity .12s linear !important;
    width: 100%;
    bottom: unset;
    opacity: 1;
    z-index: 9999;
}

.gw_cooperation-page .gw_footer {
	background-color: #ffffff;
}

.gw_form_hidden {
    visibility: hidden !important;
}

.wpcf7 p {
	margin: 0
}
.input, input:not([type=submit]), select, textarea {
    color: #01150A;
	background-color: rgba(255,255,255, 0.7);
	border: 1px solid #D9D9D9;
    line-height: 30px;
    padding: 16px;
    border-radius: 10px;
}
.wpcf7 input::placeholder,
.wpcf7 textarea::placeholder {
	color: #626E67;
	opacity: 1;
}
.wpcf7 .gw_form-group {
	display: flex;
	gap: 32px;
}
.wpcf7 label {
	font-size: 12px;
}
.wpcf7 .wpcf7-acceptance label {
	color: #01150A;
	font-size: 16px;
	display: flex;
	align-items: center;
	gap: 10px;
	margin: 16px 0 24px;
}
.wpcf7 .wpcf7-acceptance .wpcf7-list-item {
	margin: 0;
}
.wpcf7 input[type=checkbox] {
	width: 20px;
	height: 20px;
}
.wpcf7 input[type=submit] {
	font-size: 18px;
	font-weight: 700;
	color: #ffffff;
	background-color: #0C6470;
	border: 1px solid #0C6470;
	border-radius: 32px;
	height: 60px;
	line-height: 1;
    width: 100%;
    text-align: center;
	transition: var(--transition-default);
}
.wpcf7 input[type=submit]:hover {
	color: #0C6470;
	background-color: #ffffff;
}
.wpcf7 br {
	display: none;
}

.privacy-policy h2 {
	font-size: 32px;
	margin-top: 48px;
	margin-bottom: 16px;
}
.privacy-policy h2:first-child {
	margin-top: 0;
}


@media screen and (max-width: 1200px) {
	.pswp.brx.pswp--ui-visible .pswp__hide-on-close {
		left: 0;
		right: 0;
	}	
}

@media screen and (max-width: 767px) {
	 header .gw_header-menu li > a:hover:after, 
	 header .gw_header-menu li.current-menu-item > a:after {
		left: 30px;
		bottom: 8px;
		background: url(/wp-content/uploads/2025/05/underline.svg) no-repeat left;
	}
}

@media screen and (max-width: 480px) {
	.wpcf7 .gw_form-group {
		gap: 0;
		flex-direction: column;
	}
}